Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363945 - Update ovirt-windows-guest-tools to virtio-win 0.1.118 or later
Summary: Update ovirt-windows-guest-tools to virtio-win 0.1.118 or later
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-guest-tools
Classification: oVirt
Component: VirtIO-Drivers
Version: 4.0.1-1
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: ovirt-4.0.6
: ---
Assignee: Yedidyah Bar David
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-04 05:40 UTC by Sandro Bonazzola
Modified: 2017-05-11 09:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-28 12:41:47 UTC
oVirt Team: Integration
sbonazzo: ovirt-4.0.z?
pstehlik: testing_plan_complete-
sbonazzo: planning_ack?
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)

Description Sandro Bonazzola 2016-08-04 05:40:31 UTC
virtio-win-0.1.118-2 has been released on 2016-06-16.
https://fedorapeople.org/groups/virt/virtio-win/direct-downloads/archive-virtio/

Comment 1 Yedidyah Bar David 2016-11-28 09:33:50 UTC
Now noticed that the current build for 4.0, from June 22, already has these drivers. See the changelog in [1]. Build again? There are newer drivers now. Also I see some bug fixes in ovirt-guest-agent, although no new release yet.
Do you remember why you opened this bug - 1.5 months after the build?

[1] https://gerrit.ovirt.org/#/c/59598/2/ovirt-guest-tools-iso.spec.in

Comment 2 Sandro Bonazzola 2016-11-28 12:37:02 UTC
(In reply to Yedidyah Bar David from comment #1)
> Now noticed that the current build for 4.0, from June 22, already has these
> drivers. See the changelog in [1]. Build again? There are newer drivers now.
> Also I see some bug fixes in ovirt-guest-agent, although no new release yet.
> Do you remember why you opened this bug - 1.5 months after the build?
> 
> [1] https://gerrit.ovirt.org/#/c/59598/2/ovirt-guest-tools-iso.spec.in

I see above patch is merged on 4.0 branch, but I can't see its change-id in master.
Can you check if master / 4.1 includes it?
If it's included, please close.

Comment 3 Yedidyah Bar David 2016-11-28 12:41:47 UTC
(In reply to Sandro Bonazzola from comment #2)
> (In reply to Yedidyah Bar David from comment #1)
> > Now noticed that the current build for 4.0, from June 22, already has these
> > drivers. See the changelog in [1]. Build again? There are newer drivers now.
> > Also I see some bug fixes in ovirt-guest-agent, although no new release yet.
> > Do you remember why you opened this bug - 1.5 months after the build?
> > 
> > [1] https://gerrit.ovirt.org/#/c/59598/2/ovirt-guest-tools-iso.spec.in
> 
> I see above patch is merged on 4.0 branch, but I can't see its change-id in
> master.
> Can you check if master / 4.1 includes it?

It does not.

Building wgt currently simply uses the latest virtio-win drivers. I only changed the changelog in the spec file for reference, after checking the then-latest version. You can also see this in the jenkins build triggered by this patch.

Next time we build wgt for any reason (in any branch), we can add an entry to the changelog reflecting the virtio-win version that will be included.

> If it's included, please close.


Note You need to log in before you can comment on or make changes to this bug.